Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLVolumeRayCastMapper Class Reference

`#include <vtkOpenGLVolumeRayCastMapper.h>`

Inheritance diagram for vtkOpenGLVolumeRayCastMapper:

[legend]
Collaboration diagram for vtkOpenGLVolumeRayCastMapper:

[legend]
List of all members.

## Detailed Description

OpenGL subclass that draws the image to the screen.

Date:
  2002/08/29 14:51:35

Revision:
  1.8

This is the concrete implementation of a ray cast mapper - it is responsible for drawing the image to the screen. The remaining functionality all comes from vtkVolumeRayCastMapper

See also:
  vtkVolumeRayCastMapper vtkVolumeMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (82%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLVolumeRayCastMapper.h)`
  - .`cxx` (`/Rendering/vtkOpenGLVolumeRayCastMapper.cxx)`

Definition at line 47 of file vtkOpenGLVolumeRayCastMapper.h.

## Public Types
typedef vtkVolumeRayCastMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkOpenGLVolumeRayCastMapper * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLVolumeRayCastMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLVolumeRayCastMapper ()
| ~vtkOpenGLVolumeRayCastMapper ()
void | RenderTexture (vtkVolume *vol, vtkRenderer *ren)

## Member Typedef Documentation

typedef vtkVolumeRayCastMapper vtkOpenGLVolumeRayCastMapper::Superclass

| Reimplemented from vtkVolumeRayCastMapper. Definition at line 51 of file vtkOpenGLVolumeRayCastMapper.h.

## Constructor & Destructor Documentation

vtkOpenGLVolumeRayCastMapper::vtkOpenGLVolumeRayCastMapper | ( |  | ) | `[protected]`

vtkOpenGLVolumeRayCastMapper::~vtkOpenGLVolumeRayCastMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOpenGLVolumeRayCastMapper* vtkOpenGLVolumeRayCastMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkVolumeRayCastMapper.

virtual const char* vtkOpenGLVolumeRayCastMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeRayCastMapper.

int vtkOpenGLVolumeRayCastMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastMapper.

virtual int vtkOpenGLVolumeRayCastMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastMapper.

vtkOpenGLVolumeRayCastMapper* vtkOpenGLVolumeRayCastMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeRayCastMapper.

virtual void vtkOpenGLVolumeRayCastMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeRayCastMapper.

void vtkOpenGLVolumeRayCastMapper::RenderTexture | ( | vtkVolume * | vol,
|  | vtkRenderer * | ren
| ) | `[protected, virtual]`

| Implements vtkVolumeRayCastMapper.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLVolumeRayCastMapper.h